%define	name	tcl_cruncher
%define	version	1.11
%define	release	1
%define	serial	1

Summary:	tcl_cruncher: A TCL pseudo compiler and/or syntax checker.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Serial:		%{serial}
Copyright:	Artistic License
Group:		Utilities/Text
URL:		ftp://ftp.neosoft.com/pub/tcl/sorted/devel
Vendor:		Laurent Demailly <dl@hplyot.obspm.fr>
Source:		%{name}-%{version}.tar.gz
Patch:		%{name}-%{version}-rh.patch
Distribution:	Freshmeat RPMs
Packager:	Ryan Weaver <ryanw@infohwy.com>
BuildRoot:	/tmp/%{name}-%{version}

%description
This program transforms nice Tcl/TclX/Itcl sources into an ugly but
faster standard output. It removes all unneeded white spaces,
all comments, etc... The result is unreadable, but can be twice as
fast and smaller than original. It can also be used to check syntax
of your tcl scripts. It does all this very fast.

%prep
%setup -q
%patch -p1 -b .orig

%build
make

%install
if [ -d $RPM_BUILD_ROOT ] && [ ! -L $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/man/man1

install -s -m 755 tcl_cruncher $RPM_BUILD_ROOT/usr/bin
install -m 644 tcl_cruncher.man $RPM_BUILD_ROOT/usr/man/man1/tcl_cruncher.1

%clean
if [ -d $RPM_BUILD_ROOT ] && [ ! -L $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi

%files
%defattr(-,root,root)
%doc CHANGES LICENSE README
/usr/bin/tcl_cruncher
/usr/man/man1/tcl_cruncher.1

%changelog
* Wed Jan 13 1999 Ryan Weaver <ryanw@infohwy.com>
  [tcl_cruncher-1.11-1]
- Initial RPM Build.
- Built rpm because postilion make process actually uses it :)

